HepMC3 event record library: ProcInfo Struct Reference

HepMC3 event record library

Public Types | Public Member Functions | Static Public Member Functions | Data Fields
ProcInfo Struct Reference

## Detailed Description

The ProcInfo class represents the information in a procinfo tag.

Definition at line 933 of file LHEF.h.

`#include <LHEF.h>`

Inheritance diagram for ProcInfo:
[legend]
Collaboration diagram for ProcInfo:
[legend]

## Public Types
typedef XMLTag::AttributeMap | AttributeMap

## Public Member Functions
| ProcInfo ()
| ProcInfo (const XMLTag &tag)
void | print (std::ostream &file) const
bool | getattr (const std::string &n, double &v, bool erase=true)
bool | getattr (const std::string &n, bool &v, bool erase=true)
bool | getattr (const std::string &n, long &v, bool erase=true)
bool | getattr (const std::string &n, int &v, bool erase=true)
bool | getattr (const std::string &n, std::string &v, bool erase=true)
void | printattrs (std::ostream &file) const
void | closetag (std::ostream &file, const std::string &tag) const

## Static Public Member Functions
static std::string | yes ()

## Data Fields
int | iproc
int | loops
int | qcdorder
int | eworder
std::string | fscheme
std::string | rscheme
std::string | scheme
XMLTag::AttributeMap | attributes
std::string | contents

## Member Typedef Documentation

## ◆ AttributeMap

typedef XMLTag::AttributeMap AttributeMap
| inherited

Convenient typedef.

Definition at line 367 of file LHEF.h.

## Constructor & Destructor Documentation

## ◆ ProcInfo() [1/2]

ProcInfo | ( |  | ) |
| inline

Intitialize default values.

Definition at line 938 of file LHEF.h.

References eworder, iproc, loops, and qcdorder.

## ◆ ProcInfo() [2/2]

ProcInfo | ( | const XMLTag & | tag | ) |
| inline

Create from XML tag.

Definition at line 943 of file LHEF.h.

References TagBase::contents, eworder, fscheme, TagBase::getattr(), iproc, loops, qcdorder, rscheme, scheme, and TagBase::TagBase().

## Member Function Documentation

## ◆ closetag()

void closetag | ( | std::ostream & | file,
|  | const std::string & | tag ) const
| inlineinherited

Print out end of tag marker. Print contents if not empty else print simple close tag.

Definition at line 463 of file LHEF.h.

References contents.

## ◆ getattr() [1/5]

bool getattr | ( | const std::string & | n,
|  | bool & | v,
|  | bool | erase = true )
| inlineinherited

Find an attribute named n and set the bool variable v to true if the corresponding value is "yes". Remove the correspondig attribute from the list if found and erase is true.

Returns
  false if no attribute was found.

Definition at line 400 of file LHEF.h.

References attributes.

## ◆ getattr() [2/5]

bool getattr | ( | const std::string & | n,
|  | double & | v,
|  | bool | erase = true )
| inlineinherited

Find an attribute named n and set the double variable v to the corresponding value. Remove the correspondig attribute from the list if found and erase is true.

Returns
  false if no attribute was found.

Definition at line 386 of file LHEF.h.

References attributes.

## ◆ getattr() [3/5]

bool getattr | ( | const std::string & | n,
|  | int & | v,
|  | bool | erase = true )
| inlineinherited

Find an attribute named n and set the long variable v to the corresponding value. Remove the correspondig attribute from the list if found and erase is true.

Returns
  false if no attribute was found.

Definition at line 428 of file LHEF.h.

References attributes.

## ◆ getattr() [4/5]

bool getattr | ( | const std::string & | n,
|  | long & | v,
|  | bool | erase = true )
| inlineinherited

Find an attribute named n and set the long variable v to the corresponding value. Remove the correspondig attribute from the list if found and erase is true.

Returns
  false if no attribute was found.

Definition at line 414 of file LHEF.h.

References attributes.

## ◆ getattr() [5/5]

bool getattr | ( | const std::string & | n,
|  | std::string & | v,
|  | bool | erase = true )
| inlineinherited

Find an attribute named n and set the string variable v to the corresponding value. Remove the correspondig attribute from the list if found and erase is true.

Returns
  false if no attribute was found.

Definition at line 442 of file LHEF.h.

References attributes.

## ◆ print()

void print | ( | std::ostream & | file | ) | const
| inline

Print out an XML tag.

Definition at line 958 of file LHEF.h.

References TagBase::closetag(), eworder, fscheme, iproc, loops, LHEF::oattr(), TagBase::printattrs(), qcdorder, rscheme, and scheme.

## ◆ printattrs()

void printattrs | ( | std::ostream & | file | ) | const
| inlineinherited

print out ' name="value"' for all unparsed attributes.

Definition at line 453 of file LHEF.h.

References attributes, and LHEF::oattr().

## ◆ yes()

std::string yes | ( |  | ) |
| inlinestaticinherited

Static string token for truth values.

Definition at line 485 of file LHEF.h.

## Field Documentation

## ◆ attributes

XMLTag::AttributeMap attributes
| inherited

The attributes of this tag;

Definition at line 475 of file LHEF.h.

## ◆ contents

std::string contents
| mutableinherited

The contents of this tag.

Definition at line 480 of file LHEF.h.

## ◆ eworder

int eworder

The number of electro-weak vertices.

Definition at line 988 of file LHEF.h.

## ◆ fscheme

std::string fscheme

The factorization scheme used.

Definition at line 993 of file LHEF.h.

## ◆ iproc

int iproc

The id number for the process.

Definition at line 973 of file LHEF.h.

## ◆ loops

int loops

The number of loops

Definition at line 978 of file LHEF.h.

## ◆ qcdorder

int qcdorder

The number of QCD vertices.

Definition at line 983 of file LHEF.h.

## ◆ rscheme

std::string rscheme

The renormalization scheme used.

Definition at line 998 of file LHEF.h.

## ◆ scheme

std::string scheme

The NLO scheme used.

Definition at line 1003 of file LHEF.h.

The documentation for this struct was generated from the following file:

- LHEF.h